import { StyleSheet, Dimensions } from 'react-native';

const SCREEN_WIDTH = Dimensions.get('window').width;
const ITEM_WIDTH = SCREEN_WIDTH / 7;

const styles = StyleSheet.create({
  container: {
    flex: 1,
  },
  // day style 
  dayContainer: {
    width: ITEM_WIDTH,
    height: 30,
  },
  defaultDay: {
    textAlign: 'center',
    fontSize: 14,
    paddingTop: 5,
    color: '#8B8B8B',
  },
  selectText: {
    textAlign: 'center',
    fontSize: 14,
    paddingTop: 5,
    color: '#fff',
    backgroundColor: 'rgba(0,0,0,0)',
  },
  isSelect: {
    marginLeft: (ITEM_WIDTH - 28) / 2,
    width: 28,
    height: 28,
    borderRadius: ITEM_WIDTH,
    backgroundColor: '#82A0FA',
  },
  isToday: {
    marginLeft: (ITEM_WIDTH - 28) / 2,
    width: 28,
    height: 28,
    borderRadius: ITEM_WIDTH,
    backgroundColor: '#8B8B8B',
  },
  isMonthStart: {
    color: '#82A0FA',
    textAlign: 'center',
    fontSize: 14,
  },
  disabled: {
    color: '#ccc',
  },
});
export default styles;
