import {
  StyleSheet,
} from 'react-native';
import config from './config';

const styles = StyleSheet.create({
  container: {
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'space-around',
  },
  bar: {
    width: 30,
  },
  grid: {
    backgroundColor: '#fff',
  },
  AxisX: {
    marginLeft: config.AXISY_WIDTH,
  },
  AxisY: {
    width: config.AXISY_WIDTH,
  },
  barLabel: {
    textAlign: 'center',
    width: config.BAR_WIDTH,
    fontSize: 12,
    color: 'blue',
  },
  labelY: {
    fontSize: config.LABEL_FS,
  },
  labelX: {
    width: config.BAR_WIDTH,
    fontSize: config.LABEL_FS,
  },
  lineX: {
    marginTop: 2,
  },
});
export default styles;
