
### `Layout/ Grid` 组件

*注意* `grid` 和 `<Grid>` 相关标签不要设置 `borderWidth`, `padding`, `margin` 宽度相关属性, 会爆炸的BOOOM!!    
*注意* `grid` 和 `<Grid>` 相关标签不要设置 `borderWidth`, `padding`, `margin` 宽度相关属性, 会爆炸的BOOOM!!   
*注意* `grid` 和 `<Grid>` 相关标签不要设置 `borderWidth`, `padding`, `margin` 宽度相关属性, 会爆炸的BOOOM!!   


> 需要定义边框样式请通过 `border`    
  - 目前只支持宽度和颜色, 形如 `2 #cec`   
  - `1` 像素将在内部进行转换,不必关心   
  - `border` 在值为 `true` 的情况下,显示默认样式 `1 #cecece` 
> 如有宽度相关需求请在 `<Grid>` 内部嵌套 `View` 来添加样式来做

*注意* 最后没有内容的空格子,样式继承最后一个有内容的格子


| 参数名称 | 描述 | 类型 | 默认值|
|---|---|---|---|
| border | 格子是否显示边框 | `(Boolean\String)` | `false \ 1 #cecece` |
| col | 需要显示几列格子 | `Number` | `4` |
| grid | 内部格子通用样式 | `View.propTypes.style` | `null` |
| style | 最外层格子容器样式 | `View.propTypes.style` | `null` |

```jsx
  static propTypes = {
    children: PropTypes.oneOfType([PropTypes.element, PropTypes.array, PropTypes.string]),
    style: View.propTypes.style,
    col: PropTypes.number,
    border: PropTypes.oneOfType([PropTypes.string, PropTypes.bool]),
    grid: View.propTypes.style,
  }
```

```jsx
  static defaultProps = {
    children: null,
    style: null,
    col: 4,
    border: null,
    grid: null,
  }
```
