import {
  Children, Component, PropTypes,
} from 'react';

const propTypes = {
  children: PropTypes.element,
};
const defaultProps = {
  children: null,
};

class ScenneContainer extends Component {
  shouldComponentUpdate() {
    return true;
  }

  render() {
    const { children } = this.props;
    if (children === null || children === false) {
      return null;
    }
    return Children.only(children);
  }
}

ScenneContainer.propTypes = propTypes;
ScenneContainer.defaultProps = defaultProps;

export default ScenneContainer;
