Calender 组件
> 该组件由CalenderHeader(日历头部组件)+Label(标题title组件组成)+CalenderContent(日历内容组件)+Day(日历每日日期组件)
> 可以自行拼装组织结构


| 参数名称 | 描述 | 类型 | 属性值 | 默认值 |
|--|----|--|--|---|
| renderDay | 日历组件的渲染规则定义函数 | func | -- | none
| onDateSelect | 日历组件点击选中的回调函数 | func | -- | none
| config | 日历组件的基本配置 | Object | -- | none
| config.startDate | 日历时间生成的开始时间 | Object | -- | none
| config.endDate | 日历时间生成的结束日期 | Object | -- | none
| config.onDateClick | 日历组件的默认选择日期 | Object | -- | none
| config.weekData | 日历头部内容的基本配置信息 | Object | -- | none
| style| 日历组件的生成样式 | Object | -- | none 
| style.Header | 日历组件头部样式 | Object | -- | none
| style.Header.header | 日历组件的头部容器样式 | View.style | -- | none
| style.Header.label | 日历组件的头部Text样式 | Text.style | -- | none
| style.Content | 日历组件的内容部分样式 | Object | -- | none 
| style.Content.container | 日历组件的内容容器部分样式 | Object | -- | none 
| style.Content.week | 日历组件内容的每行星期的样式 | Object | -- | none 


![image](../assets/Calender_design.png)
![image](../assets/Calender.png)