import { StyleSheet, Dimensions } from 'react-native';

const SCREEN_WIDTH = Dimensions.get('window').width;
const ITEM_WIDTH = SCREEN_WIDTH / 7;
const styles = StyleSheet.create({
  // CalenderHeader组件内部样式
  header: {
    paddingTop: 10,
    paddingBottom: 10,
  },
  labelStyle: {
    fontSize: 14,
    color: '#8B8B8B',
    width: SCREEN_WIDTH / 7,
    textAlign: 'center',
  },
  dot: {
    backgroundColor: 'red',
    marginLeft: (ITEM_WIDTH - 5) / 2,
    width: 5,
    height: 5,
    borderRadius: 2.5,
  },
  container: { flex: 1 },
});
export default styles;
