import React, { PropTypes } from 'react';
import { View } from 'react-native';
import styles from './style';

const Line = (props) => {
  const {
    vertical,
    style,
  } = props;
  const direction = vertical ? styles.vh : styles.hr;

  return (
    <View style={[direction, style]} />
  );
};
Line.propTypes = {
  style: View.propTypes.style,
  vertical: PropTypes.bool,
};
Line.defaultProps = {
  style: {},
  vertical: false,
};
export default Line;
