import React, {
  PropTypes,
} from 'react';

import {
  View,
} from 'react-native';

const propTypes = {
  children: PropTypes.node,
};
const defaultProps = {
  children: null,
};

function Scene({ children, ...props }) {
  return (
    <View {...props}>
      {children}
    </View>
  );
}

Scene.propTypes = propTypes;
Scene.defaultProps = defaultProps;

export default Scene;
